| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLPBuffer Class Referenceabstract

An off-screen rendering context. More...

`#include <OgreGLPBuffer.h>`

## Public Member Functions
| GLPBuffer (PixelComponentType format, uint32 width, uint32 height)
virtual | ~GLPBuffer ()
virtual GLContext * | getContext ()=0
| Get the GL context that needs to be active to render to this PBuffer. More...
PixelComponentType | getFormat ()
uint32 | getHeight ()
uint32 | getWidth ()

## Detailed Description

An off-screen rendering context.

These contexts are always RGBA for simplicity, speed and convience, but the component format is configurable.

## Constructor & Destructor Documentation

## ◆ GLPBuffer()

Ogre::GLPBuffer::GLPBuffer | ( | PixelComponentType | format,
|  | uint32 | width,
|  | uint32 | height
| ) |  |
| inline

## ◆ ~GLPBuffer()

virtual Ogre::GLPBuffer::~GLPBuffer | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getContext()

virtual GLContext* Ogre::GLPBuffer::getContext | ( |  | ) |
| pure virtual

Get the GL context that needs to be active to render to this PBuffer.

## ◆ getFormat()

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) |
| inline

## ◆ getWidth()

uint32 Ogre::GLPBuffer::getWidth | ( |  | ) |
| inline

## ◆ getHeight()

uint32 Ogre::GLPBuffer::getHeight | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OgreGLPBuffer.h